
import { IDomainEvent } from "../../../DomainEventInterface";
import { UniqueEntityID } from "../../../../entities/UniqueEntityID";

export class MockJobDeletedEvent implements IDomainEvent {
  occurredOn: Date;
  id: UniqueEntityID;

  constructor (id: UniqueEntityID) {
    this.occurredOn = new Date();
    this.id = id;
  }

  getAggregateId (): UniqueEntityID {
    return this.id;
  }
}